// UMD ECON-626
// FALL 2019
// PAMELA JAKIELA AND OWEN OZIER

// Activity: IV in an RCT, Treatment on the Treated

// Data based on Brudevold-Newman, Honorati, Jakiela, and Ozier (2017)
// Evaluation of an active labor market program for young women in Nairobi
// Three randomly-assigned arms:  control, cash grants, and gem 
// GEM is the IRC's Girls Empowered by Microfranchise training + cash + mentoring program

// load data
use gemdata.dta


// 1. Consider two variables measured at baseline and endline:  voced and selfemp
// 		voced is a dummy for having received vocational training
//		selfemp is a dummy for self-employment

// 1a. In the control group, how correlated is b_voced with e_voced?  What about
//		b_selfemp and e_selfemp?

// 1b. Regress e_voced on the treatment dummies (gem and grant) controlling for 
//		strata dummies.  How do results (and, specifically, t-statistics) compare 
//		when you run specifications with and without the baseline values of 
//		the outcome variable?

// 1c. Repeat this exercise for e_selfemp.  How do results differ?

// 1d. Now estimate the treatment effect on the change in vocational training or 
//			self-employment.


// 2a. Calculate the expected IV (Wald) estimate of the impact of training
//     (through the GEM program) on self-employment: use data from the control
//      group and the GEM treatment arm to estimate the reduced-form and the
//      first stage in separate regressions, noting the resulting ratio.

// 2b. How does this compare to the actual IV estimate of the impact of training 
//		on self-employment (when you use ivregress 2sls)?

// 2c. One could also estimate the impact of launching a business (through the 
//		program) on self-employment (using the bizlaunch variable).  What 
//		happens when you do this?  Should you do this?  Why or why not?

// 3. Compare the ITT and TOT estimates of the impact of cash grants on self-employment.
